# Intake

## EvaluatorResults

Types:

```python
from nemo_platform.types.intake import (
    EvaluatorResult,
    EvaluatorResultDataType,
    EvaluatorResultFilter,
    EvaluatorResultParam,
    EvaluatorResultSortField,
    EvaluatorResultsPage,
    FloatFilter,
)
```

Methods:

- client.intake.evaluator_results.create(\*, workspace, \*\*params) -> EvaluatorResult
- client.intake.evaluator_results.retrieve(evaluator_result_id, \*, workspace) -> EvaluatorResult
- client.intake.evaluator_results.list(\*, workspace, \*\*params) -> SyncDefaultPagination[EvaluatorResult]

## Annotations

Types:

```python
from nemo_platform.types.intake import (
    Annotation,
    AnnotationFilter,
    AnnotationKind,
    AnnotationParam,
    AnnotationSortField,
    AnnotationsPage,
    FeedbackAnnotation,
    FeedbackAnnotationParam,
    LabelAnnotation,
    LabelAnnotationParam,
    MetadataAnnotation,
    MetadataAnnotationParam,
    NoteAnnotation,
    NoteAnnotationParam,
    NumericFilter,
)
```

Methods:

- client.intake.annotations.create(\*, workspace, \*\*params) -> Annotation
- client.intake.annotations.retrieve(annotation_id, \*, workspace) -> Annotation
- client.intake.annotations.list(\*, workspace, \*\*params) -> SyncDefaultPagination[Annotation]
- client.intake.annotations.delete(annotation_id, \*, workspace) -> None

## Ingest

Types:

```python
from nemo_platform.types.intake import EvaluationContext, ExperimentContext
```

### Atif

Types:

```python
from nemo_platform.types.intake.ingest import (
    AtifAgent,
    AtifContentPart,
    AtifContentPartImage,
    AtifContentPartText,
    AtifFinalMetrics,
    AtifImageSource,
    AtifIngestRequest,
    AtifMetrics,
    AtifObservation,
    AtifObservationResult,
    AtifStep,
    AtifStepAgent,
    AtifStepSystem,
    AtifStepUser,
    AtifSubagentTrajectoryRef,
    AtifToolCall,
    AtifTrajectory,
)
```

Methods:

- client.intake.ingest.atif.create(\*, workspace, \*\*params) -> None

### ChatCompletions

Types:

```python
from nemo_platform.types.intake.ingest import (
    CapturedChatCompletionsRequest,
    CapturedChatCompletionsResponse,
    CapturedChatMessage,
    ChatCompletionsIngestParam,
    ChatCompletionsIngestResponse,
    ChatMessageRole,
)
```

Methods:

- client.intake.ingest.chat_completions.create(\*, workspace, \*\*params) -> ChatCompletionsIngestResponse

### Otlp

#### V1

##### Traces

Types:

```python
from nemo_platform.types.intake.ingest.otlp.v1 import IngestResponse
```

Methods:

- client.intake.ingest.otlp.v1.traces.create(\*, workspace) -> IngestResponse

## Spans

Types:

```python
from nemo_platform.types.intake import (
    Span,
    SpanEvaluationContext,
    SpanFilter,
    SpanKind,
    SpanSortField,
    SpanStatus,
    SpansPage,
)
```

Methods:

- client.intake.spans.retrieve(span_id, \*, workspace) -> Span
- client.intake.spans.list(\*, workspace, \*\*params) -> SyncDefaultPagination[Span]

### Groups

Types:

```python
from nemo_platform.types.intake.spans import (
    SpanGroup,
    SpanGroupBy,
    SpanGroupSortField,
    SpanGroupsPage,
)
```

Methods:

- client.intake.spans.groups.list(\*, workspace, \*\*params) -> SyncDefaultPagination[SpanGroup]

### EvaluatorResults

Types:

```python
from nemo_platform.types.intake.spans import EvaluatorResultListResponse
```

Methods:

- client.intake.spans.evaluator_results.list(span_id, \*, workspace) -> EvaluatorResultListResponse

## Sessions

Types:

```python
from nemo_platform.types.intake import Session
```

Methods:

- client.intake.sessions.retrieve(id, \*, workspace) -> Session

## Traces

Types:

```python
from nemo_platform.types.intake import Trace, TraceFilter, TraceSortField, TracesPage
```

Methods:

- client.intake.traces.retrieve(id, \*, workspace, \*\*params) -> Trace
- client.intake.traces.list(\*, workspace, \*\*params) -> SyncDefaultPagination[Trace]
